Foreman - Bug #2207

statistics in ui, number of cpus (facts.processorcount) is incorrect

02/13/2013 03:34 PM - Lance Dillon

Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Probably a deeper problem, but it is counting number of processors incorrectly. It appears to be taking the highest number of
processor and adding 1 (for 0 based counting). On some architectures, some memory is only accessible through a specific socket,
so you need to have at least one core per socket, so disabling processors isn't done from the end, but in a round-robin fashion. We
have a machine that has processors 0,1,2, 10,11,12, 20,21,22, 30,31,32 active, others disabled, but foreman reports 33 processors
by adding 1 to the last processor 32. It should actually count all the processors to get an accurate number, in this case 12.

History

#1 - 02/13/2013 03:41 PM - Lance Dillon

Misreported, actually a facter bug apparently, facter is reporting processorcount wrong.

#2 - 02/13/2013 03:57 PM - Ohad Levy

- Status changed from New to Pending

http://projects.puppetlabs.com/issues/show/19249

#3 - 02/28/2014 11:55 AM - Benjamin Papillon
- Status changed from Pending to Feedback

Two bugs were referenced for this problem on puppetlabs :

http://projects.puppetlabs.com/issues/18215
and
http://projects.puppetlabs.com/issues/19249

They have been resolved in facter 1.7.4. Can you upgrade your facter version and retry please?

Regards,

#4 - 05/17/2017 06:46 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing

05/17/2024

1/1



http://projects.puppetlabs.com/issues/show/19249
http://projects.puppetlabs.com/issues/18215
http://projects.puppetlabs.com/issues/19249
http://www.tcpdf.org

